浏览器提示:Flash Player 与您的地区不相容

发布于 2019-05-08  236 次阅读


从 Flash Player v30 开始就只能使用特供版 Flash Player( 后台存在广告服务、弹出广告窗口、捆绑流氓软件的行为)了,一直都是安装 29 版本,关闭软件更新解决的。

安装低版本

1.使用 Flash Player Uninstaller 卸载已安装的 Adobe Flash Player 30 及以上版本;
2.断网(不断网会跳转到特供版网页)运行 v30 之前版本的离线安装包;
3.然后进入控制面板 -> Flash Player -> 更新,将其设置为不自动更新即可。
附:Flash Player UninstallerFlash Player v29 下载链接

Chromium

最近使用了 Edge Dev(Chromium 内核),上述方法失效了,依旧提示:This Flash Player is not compatible with your regionplease reinstall Adobe Flash Player
虽说再过一年时间 Flash Player 就过世了,但是依天朝的尿性,这问题还得困扰大家很久。
1.在浏览器地址栏输入 chrome://version/,可查看浏览器所使用的 Adobe Flash Player 版本及文件位置,如下图红框所示:


2.进入上图 pepflashplayer.dll 文件所在的位置,将其替换为 29 版本的文件,并设置为只读,重启浏览器,问题解决。
个人不推荐直接删除 PepperFlash 目录下的所有文件和安装 30 以上版本的修改版
附:PpepFlash Player 29下载链接


二十多岁的年纪,希冀着时光别走…